// Project Sword & Gun Copyright © 2021 Kevin Poretti


#include "States/SNGEnemyBaseState.h"

void USNGEnemyBaseState::SetOwner(AActor* StateOwner)
{
	Super::SetOwner(StateOwner);

	Enemy = Cast<ASNGEnemyBase>(StateOwner);
	if(!Enemy)
	{
		UE_LOG(LogTemp, Error, TEXT("SNGEnemyBaseState :: Could not cast state owner to SNGEnemyBase"));	
	}
}
